#include "stdafx.h"
#include "TranslateW.h"
extern "C" const char* PASCAL EXPORT GetAlgName(){static char s[]="Test";return s;}
//test
//===========================
double massa, rost, ehkg, pol, id_massa, inf_nomjer_nora, doza_nora=0, koehff_nora=0, doza_nitroglicjerin=1;


//===========================

extern "C" int PASCAL EXPORT vkhod()
{doza_nora=0;koehff_nora=0;doza_nitroglicjerin=1;CString VSetText;
  //---
CHK_TOTAL_STOP
  VSetText=("Непрерывно вводить Нитроглицерин со скоростью"+ToString(doza_nitroglicjerin*id_massa)+"мг/кгчас");
CHK_TOTAL_STOP
  inf_nomjer_nora= SetInjection(VSetText,1,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,5,doza_nora*id_massa*koehff_nora*6,UnitMl,5,doza_nora*id_massa*koehff_nora*1,UnitMl,0);VSetText="";
CHK_TOTAL_STOP
  inf_nomjer_nora= SetInjection(VSetText,0,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,5,doza_nora*id_massa*koehff_nora*6,UnitMl,5,doza_nora*id_massa*koehff_nora*1,UnitMl,0);VSetText="";
CHK_TOTAL_STOP
  SetInjection(VSetText,1,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,0);VSetText="";
CHK_TOTAL_STOP
  SetInjection(VSetText,1,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,5);VSetText="";
CHK_TOTAL_STOP
  SetInjection(VSetText,1,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,5,doza_nora*id_massa*koehff_nora*6,UnitMl,5,doza_nora*id_massa*koehff_nora*1,UnitMl,0);VSetText="";
CHK_TOTAL_STOP
  SetInjection(VSetText,1,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,5,doza_nora*id_massa*koehff_nora*6,UnitMl,5,doza_nora*id_massa*koehff_nora*1,UnitMl,0);VSetText="";
CHK_TOTAL_STOP
  inf_nomjer_nora= SetInjection(VSetText,1,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,5,doza_nora*id_massa*koehff_nora*6,UnitMl,5,doza_nora*id_massa*koehff_nora*1,UnitMl,0);VSetText="";
  
WaitThreadsEnd();
return 0;
}
//===========================

extern "C" int PASCAL EXPORT blok1()
{FSleep(2);CString VSetText;
CHK_TOTAL_STOP
  VSetText=("Непрерывно вводить Нитроглицерин со скоростью"+ToString(doza_nitroglicjerin*id_massa)+"мг/кгчас");
CHK_TOTAL_STOP
  inf_nomjer_nora= SetInjection(VSetText,1,2,7,"норадреналин",doza_nora*id_massa*koehff_nora*60,UnitMl,5,doza_nora*id_massa*koehff_nora*6,UnitMl,5,doza_nora*id_massa*koehff_nora*1,UnitMl,0);VSetText="";
CHK_TOTAL_STOP
  CallDoctor("Блок 1  ");
return 0;
}
extern "C" int PASCAL EXPORT blok2()
{FSleep(2);CString VSetText;
CHK_TOTAL_STOP
  CallDoctor("Блок 1  Блок 1  ");
return 0;
}
extern "C" int PASCAL EXPORT blok3()
{FSleep(2);CString VSetText;
CHK_TOTAL_STOP
  CallDoctor("Блок 1  Блок 1  Блок 1  ");
return 0;
}
extern "C" int PASCAL EXPORT blok4()
{FSleep(2);CString VSetText;
CHK_TOTAL_STOP
  CallDoctor("Блок 1  Блок 1  Блок 1  Блок 1  ");
return 0;
}
extern "C" int PASCAL EXPORT blok5()
{FSleep(2);CString VSetText;
CHK_TOTAL_STOP
  CallDoctor("Блок 1  Блок 1  Блок 1  Блок 1  Блок 1  ");
return 0;
}
extern "C" int PASCAL EXPORT blok6()
{FSleep(2);CString VSetText;
CHK_TOTAL_STOP
  CallDoctor("Блок 1  Блок 1  Блок 1  Блок 1  Блок 1  Блок 1  ");
return 0;
}
extern "C" int PASCAL EXPORT blok7()
{FSleep(2);CString VSetText;
CHK_TOTAL_STOP
  CallDoctor("Блок 1  Блок 1  Блок 1  Блок 1  Блок 1  Блок 1  Блок 1  ");
return 0;
}
